2020-09-23 10:32 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002645NetSurfJavascriptpublic2020-05-27 09:12
ReporterChris Young 
Assigned ToDaniel Silverstone 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.9 
Target Version3.10Fixed in Version3.10 
Summary0002645: Page fails to load with JS enabled
DescriptionPage fails to load with JS enabled.
With JS disabled it loads in 10s.
Steps To ReproduceVisit https://forums.digitalspy.com
Additional InformationLog attached.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #4631
URL of problem pagehttps://forums.digitalspy.com
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0001922

Daniel Silverstone (administrator)

This page seems to set 10ms callbacks a *LOT* - I wonder if they effectively starve out the slower callbacks.
Daniel Silverstone

~0001937

Daniel Silverstone (administrator)

If I set Window.bnd's minimum callback time to 100ms instead of 10ms then we cease starving out the other parts of the system.

I can get that down as far as 30ms before I see degradation to the point it won't always render. There's definitely some kind of starvation going on there, even if it's in the UI somehow.
Daniel Silverstone

~0002056

Daniel Silverstone (administrator)

I think current master works okay with this site now. What do you think?
Chris Young

~0002072

Chris Young (developer)

Yes, seems to work fine in 4818 even though it outputs lots of JS warnings.
Vincent Sanders

~0002224

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2019-05-07 18:58 Chris Young New Issue
2019-05-07 18:58 Chris Young File Added: ns.log.gz
2019-05-25 20:13 Daniel Silverstone Note Added: 0001922
2019-06-05 22:39 Daniel Silverstone Note Added: 0001937
2019-06-05 22:39 Daniel Silverstone Assigned To => Daniel Silverstone
2019-06-05 22:39 Daniel Silverstone Status new => confirmed
2019-06-05 22:39 Daniel Silverstone Description Updated View Revisions
2019-08-02 14:10 Daniel Silverstone Note Added: 0002056
2019-08-09 19:02 Chris Young Note Added: 0002072
2020-02-21 11:16 Daniel Silverstone Status confirmed => resolved
2020-02-21 11:16 Daniel Silverstone Resolution open => fixed
2020-02-21 11:16 Daniel Silverstone Fixed in Version => 3.10
2020-02-21 11:16 Daniel Silverstone Target Version 4.0 => 3.10
2020-05-27 09:12 Vincent Sanders Status resolved => closed
2020-05-27 09:12 Vincent Sanders Note Added: 0002224
+Issue History